List payment methods
curl --request GET \
--url https://sandbox-payment-b2b.singapay.id/api/v1.0/payment-link-manage/payment-methods \
--header 'Authorization: Bearer <token>' \
--header 'X-PARTNER-ID: <api-key>'import requests
url = "https://sandbox-payment-b2b.singapay.id/api/v1.0/payment-link-manage/payment-methods"
headers = {
"Authorization": "Bearer <token>",
"X-PARTNER-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-PARTNER-ID': '<api-key>'}
};
fetch('https://sandbox-payment-b2b.singapay.id/api/v1.0/payment-link-manage/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"success": true,
"data": {
"payment_methods": [
{
"code": "VA_BRI",
"name": "VA BRI",
"group": "va",
"desc": "Virtual Account BRI"
}
],
"available_codes": [
"<string>"
]
}
}{
"status": 401,
"success": false,
"error": {
"code": 401,
"message": "Unauthorized merchant, please sign in"
}
}{
"status": 405,
"success": false,
"error": {
"code": 4059901,
"message": "The PATCH method is not supported for this route. Supported methods: GET, HEAD, POST."
}
}Payment Link
List payment methods
Retrieves the catalog of active payment methods available for payment link creation and configuration.
GET
/
api
/
v1.0
/
payment-link-manage
/
payment-methods
List payment methods
Authorizations
JWT issued by POST /api/v1.1/access-token/b2b. Send Authorization: Bearer <token>.
Merchant API key (Credential.api_key). Required on every request.
⌘I
